Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class PageHead

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag
              org.meshcms.taglib.PageHead

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class PageHead
extends AbstractTag

Writes the page head. Also adds some init variables when editing. Please note that since this tag is used within the <head> tag, the field to edit the page head are displayed by `PageBody`

See Also:
  Serialized Form

Field Summary
`static java.util.regex.Pattern` | `META_REGEX`

Fields inherited from class org.meshcms.taglib.AbstractTag
`PAGE_MODULES, PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PageHead()`

Method Summary
`java.lang.String` | `getDropScripts()`
`java.lang.String` | `getDropStyles()`
`void` | `setDropScripts(java.lang.String dropScripts)`
`void` | `setDropStyles(java.lang.String dropStyles)`
`void` | `writeEditTag()` Writes the contents of the tag when the page is being edited.
`void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class org.meshcms.taglib.AbstractTag
`doStartTag, getHead, getMailFormAddress, getOut, getPage, getStartTagReturnValue`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META_REGEX

    public static final java.util.regex.Pattern META_REGEX

Constructor Detail

### PageHead

    public PageHead()

Method Detail

### writeTag

    public void writeTag()
                  throws java.io.IOException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Specified by:
    `writeTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`

### writeEditTag

    public void writeEditTag()
                      throws java.io.IOException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag when the page is being edited. The default implementation calls `writeTag()`. Subclasses can override it when they behave differently while editing.

  Overrides:
    `writeEditTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`

### getDropStyles

    public java.lang.String getDropStyles()

### setDropStyles

    public void setDropStyles(java.lang.String dropStyles)

### getDropScripts

    public java.lang.String getDropScripts()

### setDropScripts

    public void setDropScripts(java.lang.String dropScripts)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD